Subject: Re: bug#22417: Self parsing bug

From: [email-masked]
Date: Wed, 20 Jan 2016 23:10:33 +0100

2016-01-20 22:49 skrev Mosè Giordano:
> 2016-01-20 22:44 GMT+01:00  <[email-masked]>:
>> The only thing I load is auctex.el and the two lines
>> (setq debug-on-error t)
>> (setq TeX-parse-self t)
>> so my init should be only that.
> 
> What if you comment the line
> 
>     (setq TeX-parse-self t)
> 
> delete the auto parsed file (if it exists, it's in the auto/
> subdirectory of the path where your file is), restart Emacs and open
> the file?
> 
>> The original error prevents the file to open but on subsequent tries 
>> the
>> files opens without error.
>> I didn't triet with an older version of emacs as I don't have it 
>> currently.
>> I think it's a bit odd that it seems to be triggered by a latex 
>> package.
> 
> Sorry, I don't have Emacs 25.1, I can't test myself.  Without a
> reproducible (for me) recipe I can't do much on this.
> 
> Bye,
> Mosè
That is to bad. Thanks anyway for your answer.

Just for completeness.
As I said in my other mail, the error seems to originate from the 
auctex/style/subfigure.el file
and the original code that I referred to do seem like a bug to me, with 
the original intent being to add to the list. And that a parenthesis has 
gotten misplaced. I changed the code as follows

    (setq TeX-complete-list
	 (append
	  '(("\\\\[Ss]ubref{\\([^{}\n\r\\%,]*\\)" 1 LaTeX-label-list "}")) 
TeX-complete-list))

and now extend the TeX-complete-list variable (I think). This produces 
no error for me now. This is how the code looks in many other of the 
style files in that subdirectory as well.
Again I'm not sure why this would not produce an error for an earlier 
emacs, as I understand, setq should accept an even number of variable 
value pairs by default.

Bye,
Andreas